# Delete warehouse

Removes a warehouse from ShipStation's UI and sets it to Inactive status. This is a "soft" delete action.

Note: In the API, the endpoint is called warehouse, but the process actually affects Ship From Locations in the UI.

Endpoint: DELETE /warehouses/{warehouseId}
Version: 1.0.0
Security: basicAuth

## Path parameters:

  - `warehouseId` (integer, required)
    Warehouse ID to delete
    Example: 12345

## Response 200 fields (application/json):

  - `success` (boolean)
    Example: true

  - `message` (string)
    Example: "The requested warehouse has been deleted."

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Invalid request parameters"

## Response 401 fields (application/json):

  - `message` (string)
    Example: "Invalid API credentials"

## Response 404 fields (application/json):

  - `message` (string)
    Example: "Resource not found"

## Response 500 fields (application/json):

  - `message` (string)
    Example: "An internal error occurred"


